Preuzimanje poruke uređaja
GET
/api/v1/message_equipment_types/:id Vraća jednu poruku uređaja na osnovu njenog identifikatora. Odgovor sadrži jedan objekat data sa istim poljima kao stavka liste.
Parametri putanje
id integer obavezan Identifikator (jedinstveni ključ) poruke u sistemu.
Polja odgovora
| Atribut | Opis |
|---|---|
id | Identifikator (jedinstveni ključ) poruke u sistemu |
name | Naziv poruke |
description | Opis poruke |
device_code | Kod poruke uređaja |
equipment_type_id | Identifikator tipa konfiguracije mernog uređaja (ključ tipa konfiguracije korektora) |
equipment_type_varname | Jedinstveni tekstualni identifikator tipa konfiguracije mernog uređaja |
referenceparameter_archive_type_id | Identifikator tipa arhive |
archive_type_varname | Jedinstveni tekstualni identifikator tipa arhive |
message_typical_id | Identifikator tipske poruke |
channel_id | Identifikator (jedinstveni ključ) kanala; null ako poruka nije vezana za kanal |
channel_varname | Tekstualni identifikator kanala; null ako poruka nije vezana za kanal |
data | Vraćeni objekat poruke |
Zahtev
bash
curl -i \
--header "access-token: *********************" \
--header "token-type: Bearer" \
--header "client: **********************" \
--header "uid: api-user@example.com" \
--header "Content-Type: application/json" \
--request GET \
"https://api.vadsro.eu/api/v1/message_equipment_types/1"js
const res = await fetch('https://api.vadsro.eu/api/v1/message_equipment_types/1', {
headers: {
'access-token': '*********************',
'token-type': 'Bearer',
client: '**********************',
uid: 'api-user@example.com',
'Content-Type': 'application/json',
},
});
const data = await res.json();python
import requests
res = requests.get(
"https://api.vadsro.eu/api/v1/message_equipment_types/1",
headers={
"access-token": "*********************",
"token-type": "Bearer",
"client": "**********************",
"uid": "api-user@example.com",
"Content-Type": "application/json",
},
)
data = res.json()go
req, _ := http.NewRequest("GET", "https://api.vadsro.eu/api/v1/message_equipment_types/1", nil)
req.Header.Set("access-token", "*********************")
req.Header.Set("token-type", "Bearer")
req.Header.Set("client", "**********************")
req.Header.Set("uid", "api-user@example.com")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)php
$ch = curl_init("https://api.vadsro.eu/api/v1/message_equipment_types/1");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"access-token: *********************",
"token-type: Bearer",
"client: **********************",
"uid: api-user@example.com",
"Content-Type: application/json",
]);
$data = json_decode(curl_exec($ch), true);Odgovor
json
{
"data": {
"id": 1,
"name": "Accumulated volume",
"description": "Scheduled communication",
"device_code": "0",
"equipment_type_id": 11,
"equipment_type_varname": "EK-270",
"referenceparameter_archive_type_id": 25,
"archive_type_varname": "nesht",
"message_typical_id": 2,
"channel_id": null,
"channel_varname": null
}
} Poslednje ažuriranje
Da li vam je ova stranica bila korisna?
Hvala vam na povratnoj informaciji!
Lista poruka uređaja
Prethodna
Komunikacione sesije
Sledeća